Skip to content
hidey

Can Google see your hidden photos? Hidey’s encryption, explained

Why the Hidey team can’t see your photos, what Google can and can’t see in your Drive backup, and the technical details behind Hidey’s encryption.

· 14 min read

The short answer: we can't see the photos in your Hidey vault, and Google never receives them in a form it can view. Every photo, video and file is encrypted on your phone before it's stored or backed up, and Hidey has no server that receives your files. There's one trade-off worth understanding, the Google PIN reset, and a setting that removes it. Here's what each party can and can't see, and the technical details behind it.

Who can see what

WhoCan they see your photos?What they can see
The Hidey teamNoNothing from your vault. Your files and keys never reach us.
Google, storing your Drive backupNot the photosA hidden folder of encrypted files (how many, how big, when they were uploaded) and, by default, the PIN-reset key explained below
Someone who picks up your phoneNot without your PIN, password or fingerprintEncrypted files with random names
Someone who takes over your Google accountPossibly, after 24 hoursThrough the Google PIN reset, unless zero-knowledge mode is on
YouYesEverything, once you unlock the vault

How Hidey encrypts your photos

When you set up a vault, your phone generates a random 256-bit master key. Everything else is protected by it, and it only leaves the phone wrapped in another layer of encryption, with one exception explained below.

  • Your files. Each file gets its own random 256-bit key. The file is split into 1 MiB chunks, and each chunk is sealed with AES-256-GCM, an authenticated cipher: if anyone changes, reorders or cuts off a chunk, decryption fails instead of returning altered data. Each file's key is itself encrypted under a key derived from the master key with HKDF-SHA256.
  • Names and details. On disk, every file has a random 32-character name with no extension. The original name, dates, album and thumbnail are encrypted too, inside the file and in the vault's index, so even the list of what you hid is unreadable.
  • Your PIN. Your PIN or password never encrypts anything directly. It goes through Argon2id, a deliberately slow, memory-hard function (19 MiB and two passes on the phone), together with a 32-byte secret kept in storage protected by Android's Keystore. The result unlocks the master key. Because that secret stays on your phone, a copy of the vault folder can't be cracked on another computer, and wrong guesses on the phone trigger waits that double each time, up to 15 minutes.
  • Your fingerprint. Fingerprint unlock uses a separate Keystore key that only works after a strong biometric match, and stops working if the fingerprints on the phone change.
  • While the vault is locked. Intruder selfies and auto-hide (both Pro) encrypt new files to the vault's X25519 public key, so Hidey never needs the master key in memory to save them.

Viewing doesn't leave readable copies either: videos stream through a decryptor that only opens the chunks being played, and thumbnails are made in memory. The one deliberate exception is Open with, which hands another app a temporary copy and deletes it when you come back.

These are standard, published algorithms: AES-GCM (NIST SP 800-38D), HKDF (RFC 5869), Argon2id (RFC 9106) and X25519 (RFC 7748). Hidey's tests check each one against its official test vectors.

Why we can't see your photos

This isn't a policy promise. It follows from how Hidey is built:

  • There's no Hidey server for your files. Backups go to your own Google Drive or your own S3-compatible storage. We don't run storage that could hold your vault.
  • The keys are made and kept on your phone. We never receive your master key, your PIN or the device secret, so even a copy of your files would be useless to us.
  • What we do receive is about the app, not your vault. Anonymous crash reports and usage statistics (Firebase), purchase status (Google Play and RevenueCat, through an anonymous ID) and, on the free plan, the data Google AdMob uses to show ads. None of it includes your files, file names or PIN.

What Google can and can't see

Hidey backs up to Drive's app data folder. Google describes it as a folder that only the app that created it can access, hidden from you and from other Drive apps, and it doesn't appear in the Drive interface. Hidey asks for access to that folder only, not to the rest of your Drive, and keeps just your account's email address.

Inside, Google stores:

  • Your vault files, exactly as they are on your phone: already encrypted, with random names. Hidden vaults' files are among them, so their number gives nothing away.
  • An encrypted index of your favourites, albums, recycle bin, notes and settings.
  • The vault's key file, with the master key wrapped by your PIN through Argon2id at a stronger setting (64 MiB, three passes), so a new phone can open the backup with your PIN.
  • A fixed-size file of hidden-vault slots, filled with random bytes when unused, so the backup looks the same whether or not you have hidden vaults.
  • A few small records: which phone backs up, and any PIN reset in progress.

So Google can see that a Hidey folder exists, how many files it holds, how big they are and when they were uploaded. It can't see what they are, preview them or search them. Compare that with photos in Google Photos or ordinary files in Drive, which Google can process to offer search, previews and features like Memories, or with Locked Folder, whose backups use Google Photos' standard encryption.

The trade-off: resetting a forgotten PIN with Google

There's one more file in that folder unless you turn it off. To let you reset a forgotten PIN through Google, the backup keeps a recovery copy of the master key. It can't be locked with your PIN, because it has to work when you've forgotten your PIN. Hidey only uses it after a 24-hour wait timed by Google's servers, and entering your correct PIN on any phone cancels the reset.

That makes recovery easy, but it means the backup is only as private as your Google account: anyone who takes over your account could start the same reset, and the key itself sits on Google's servers. Turn on 2-step verification for your Google account either way.

Zero-knowledge mode (Pro) removes the trade-off. It deletes the recovery copy from Drive at the next backup and gives you a recovery key instead: 128 random bits, shown once as 28 characters in groups of four. From then on, every copy of the key outside your phone is locked with your PIN or your recovery key, and nobody else can reset it.

Two habits make the most of it:

  • Use a longer PIN or a password. Argon2id makes every guess slow and memory-hungry, but a 4-digit PIN still has only 10,000 possibilities. More digits, or a password, protect the backup's key file far better.
  • Keep the recovery key off your phone, in a password manager or on paper.

The same holds for S3 storage (Pro): your provider stores encrypted files and the PIN-locked key file, and there's no Google reset at all.

Frequently asked questions

Can the Hidey team see my photos?

No. Your photos are encrypted on your phone, and we don't run servers that receive them. Our security page lists exactly what the app does send, and none of it is your files, file names or PIN.

Can Google see the photos in my Drive backup?

Google stores them only as encrypted files with random names, so it can't view or search them. By default the backup also holds the key copy that makes the 24-hour Google PIN reset possible, and zero-knowledge mode deletes it.

What is zero-knowledge mode?

A Pro setting that replaces the Google PIN reset with a recovery key only you hold. Without that key or your PIN, nobody can open your vault, which is why our guide to forgetting a vault PIN suggests storing it with care.

Can other apps on my phone see my hidden photos?

No. They're encrypted files with random names, in a folder your gallery skips. Locking an app is a different thing: here's why a gallery lock isn't enough.

What happens to my encrypted photos if I uninstall Hidey or change phones?

The encrypted files stay on your phone after an uninstall, and your Drive backup brings them to a new phone. Our guide to uninstalling, resetting or switching phones covers every case.

How can I tell whether another vault app really encrypts?

Look at its folder with a file manager, and read how it handles keys and backups. Our checklist on hidden vs encrypted walks you through it.

Does hiding a photo remove the copy in Google Photos or WhatsApp?

No. Hidey deletes the original on your phone, but cloud backups and chat apps keep their own copies. See where copies linger and how to hide WhatsApp photos from your gallery.

Does a calculator disguise make my photos safer?

It hides the app from a glance at your home screen, but the encryption does the real protecting, as our look at calculator vault apps explains.

Is a vault safer than Google Photos' Locked Folder?

They protect different things. Locked Folder opens with your phone's screen lock, while Hidey has its own PIN and encrypts on the phone. Our Locked Folder comparison and our guide to hiding photos on Android compare the options.

Nothing to see here. Keep it that way.

Get Hidey on Google Play. Android 11 and later.